Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface ExecuteQueueMBean

public interface ExecuteQueueMBean
extends ConfigurationMBean

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getQueueLength()` Returns the maximum length of this queue.
`int` | `getThreadCount()` Returns the number of threads assigned to this queue.
`int` | `getThreadPriority()` Returns the priority of the threads associated with this queue.
`void` | `setQueueLength(int value)`
`void` | `setThreadCount(int value)`
`void` | `setThreadPriority(int value)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getQueueLength

    public int getQueueLength()

  Returns the maximum length of this queue.

  Default Value: 65536

### setQueueLength

    public void setQueueLength(int value)
                        throws javax.management.InvalidAttributeValueException

### getThreadPriority

    public int getThreadPriority()

  Returns the priority of the threads associated with this queue.

  Default Value: 5

### setThreadPriority

    public void setThreadPriority(int value)
                           throws javax.management.InvalidAttributeValueException

### getThreadCount

    public int getThreadCount()

  Returns the number of threads assigned to this queue.

  Default Value: 8

### setThreadCount

    public void setThreadCount(int value)
                        throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD